package com.sooka.system.service.impl;

import java.util.List;

import com.sooka.common.annotation.DataSource;
import com.sooka.common.core.text.Convert;
import com.sooka.common.enums.DataSourceType;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.sooka.system.mapper.TgjjGrckzhbdxxMapper;
import com.sooka.system.domain.TgjjGrckzhbdxx;
import com.sooka.system.service.ITgjjGrckzhbdxxService;

/**
 * 个人存款账户变动信息Service业务层处理
 *
 * @author lei
 * @date 2021-11-16
 */
@Service
public class TgjjGrckzhbdxxServiceImpl extends Guiji_Base_Service implements ITgjjGrckzhbdxxService
{
    @Autowired
    private TgjjGrckzhbdxxMapper tgjjGrckzhbdxxMapper;

    /**
     * 查询个人存款账户变动信息
     *
     * @param ID 个人存款账户变动信息ID
     * @return 个人存款账户变动信息
     */
    @Override
    public TgjjGrckzhbdxx selectTgjjGrckzhbdxxById(Long ID)
    {
        return tgjjGrckzhbdxxMapper.selectTgjjGrckzhbdxxById(ID);
    }

    /**
     * 查询个人存款账户变动信息列表
     *
     * @param tgjjGrckzhbdxx 个人存款账户变动信息
     * @return 个人存款账户变动信息
     */
    @Override
    public List<TgjjGrckzhbdxx> selectTgjjGrckzhbdxxList(TgjjGrckzhbdxx tgjjGrckzhbdxx)
    {
        List ls = tgjjGrckzhbdxxMapper.selectTgjjGrckzhbdxxList(tgjjGrckzhbdxx);
        tgjjGrckzhbdxx.setInterfaceinfoId("46915476-ff79-497f-9238-713ee2d2bb4b");
        tgjjGrckzhbdxx.setInterfaceinfoName("共享-市公积金-个人存款变动信息");
        tgjjGrckzhbdxx.setInterfacetype("platform_interfacetype_1");
        add_log(tgjjGrckzhbdxx);
        return ls;
    }

    /**
     * 新增个人存款账户变动信息
     *
     * @param tgjjGrckzhbdxx 个人存款账户变动信息
     * @return 结果
     */
    @Override
    public int insertTgjjGrckzhbdxx(TgjjGrckzhbdxx tgjjGrckzhbdxx)
    {
        return tgjjGrckzhbdxxMapper.insertTgjjGrckzhbdxx(tgjjGrckzhbdxx);
    }

    /**
     * 修改个人存款账户变动信息
     *
     * @param tgjjGrckzhbdxx 个人存款账户变动信息
     * @return 结果
     */
    @Override
    public int updateTgjjGrckzhbdxx(TgjjGrckzhbdxx tgjjGrckzhbdxx)
    {
        return tgjjGrckzhbdxxMapper.updateTgjjGrckzhbdxx(tgjjGrckzhbdxx);
    }

    /**
     * 删除个人存款账户变动信息对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteTgjjGrckzhbdxxByIds(String ids)
    {
        return tgjjGrckzhbdxxMapper.deleteTgjjGrckzhbdxxByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除个人存款账户变动信息信息
     *
     * @param ID 个人存款账户变动信息ID
     * @return 结果
     */
    @Override
    public int deleteTgjjGrckzhbdxxById(Long ID)
    {
        return tgjjGrckzhbdxxMapper.deleteTgjjGrckzhbdxxById(ID);
    }
}
